package com.zhilian.business.controller;

import com.zhilian.business.domain.VehicleType;
import com.zhilian.business.service.VehicleTypeService;
import com.zhilian.common.core.domain.Result;
import com.zhilian.common.core.web.controller.BaseController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("vehicleType")
public class VehicleTypeController extends BaseController {
    @Autowired
    private VehicleTypeService vehicleTypeService;

    @GetMapping("list")
    public Result<List<VehicleType>> list(){
        List<VehicleType> list = vehicleTypeService.listVehicleType();
        return Result.success(list);
    }
}
