package com.zhilian.online.domain.model;/**
 * @version:
 * @Author: LiYuan
 * @description:
 * @date: 2024/3/30  11:19
 */

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 *@BelongsProject: smart-cloud-server
 *@BelongsPackage: com.zhilian.online.domain.model
 *@Author: LiYuan
 *@CreateTime: 2024-03-30  11:19
 *@Description: Mqtt服务模型
 *@Version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MqttServerModel {

    /**
     * Mqtt服务节点
     */
    private String broker;

    /**
     * Mqtt订阅主题
     */
    private String topic;

}
