package com.zhilian.business.domain;

import lombok.Data;

import java.util.Date;

/**
 * @ClassName Break
 * @Description 故障实体类
 * @Author YuanYongH
 * @Date 2024/4/4 9:40
 */
@Data
public class Break {
    /**
     * 故障id
    **/
    private Integer breakId;
    /**
     * 故障码
    **/
    private String breakCode;
    /**
     * 车辆VIN
    **/
    private String breakVin;
    /**
     * 开始报警时间
    **/
    private Date breakDate;
    /**
     * 结束报警时间
    **/
    private Date breakTime;
    /**
     * 故障类型
    **/
    private String breakType;
    /**
     * 故障状态 是否警告
    **/
    private Integer breakState;
}
