package com.zhilian.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zhilian.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString
@TableName(value = "business_vehicle_type")
public class VehicleType {

    @TableId(value = "vehicle_type_id", type = IdType.AUTO)
    @Excel(name = "车型ID")
    private Long vehicleTypeId;

    @Excel(name = "车型名称")
    @TableField(value = "vehicle_type_name")
    private String vehicleTypeName;
}
