package com.zhilian.common.event;

import com.zhilian.common.redis.service.RedisService;
import org.springframework.beans.factory.annotation.Autowired;

public class VehicleEventCache {
    @Autowired
    private RedisService redisService;

    public String encode(String vin){
        return "event:arr"+vin;

    }

    public void addEvent(String vin ,String eventName){
        redisService.setCacheSet(encode(vin),eventName);
    }
}
