package com.zhilian.business.controller;

import com.zhilian.business.domain.middle.VehicleMarkers;
import com.zhilian.business.service.VehicleMarkersService;
import com.zhilian.common.core.domain.Result;
import com.zhilian.common.core.web.controller.BaseController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/vehicleMarkers")
public class VehicleMarkersController extends BaseController {
    @Autowired
    private VehicleMarkersService vehicleMarkersService;

    @PostMapping("/list")
    public Result<List<VehicleMarkers>> vehicleMarkersList() {
        return Result.success(vehicleMarkersService.list());
    }
}
