package com.zhilian.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhilian.business.domain.Vehicle;
import com.zhilian.business.domain.VehicleFence;

import java.util.List;

public interface VehicleService extends IService<Vehicle> {

    List<Vehicle> selectVehicleList(Vehicle vehicle);

    Vehicle getVehicleByVIN(String vehicleVIN);

    boolean updateState(Vehicle vehicle);

    void selectRedisData(Vehicle vehicle);

    List<VehicleFence> selectSelectAllData();
}
