package com.zhilian.resolver.service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhilian.common.resolver.domain.ResolverReportData;
import com.zhilian.common.resolver.domain.ResolverReportInfo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
  * @ClassName ReportService
  * @Description 报文业务层
  * @Author Can.J
  * @Date  2024/3/26 22:30
 */
@Service
public interface ResolverReportInfoService extends IService<ResolverReportInfo> {

    List<ResolverReportInfo> pageQuery(ResolverReportInfo report);

    void saveDataToDatabase(ResolverReportData vehicleData);

    void saveDataToDatabaseByMalfunction(ResolverReportData resolverReportData);
}
