package com.zhilian.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zhilian.system.mapper.BusinessBreakMapper;
import com.zhilian.system.domain.BusinessBreak;
import com.zhilian.system.service.IBusinessBreakService;


@Service
public class BusinessBreakServiceImpl implements IBusinessBreakService
{
    @Autowired
    private BusinessBreakMapper businessBreakMapper;


    @Override
    public BusinessBreak selectBusinessBreakByBreakId(Long breakId)
    {
        return businessBreakMapper.selectBusinessBreakByBreakId(breakId);
    }


    @Override
    public List<BusinessBreak> selectBusinessBreakList(BusinessBreak businessBreak)
    {
        return businessBreakMapper.selectBusinessBreakList(businessBreak);
    }


    @Override
    public int insertBusinessBreak(BusinessBreak businessBreak)
    {
        return businessBreakMapper.insertBusinessBreak(businessBreak);
    }


    @Override
    public int updateBusinessBreak(BusinessBreak businessBreak)
    {
        return businessBreakMapper.updateBusinessBreak(businessBreak);
    }


    @Override
    public int deleteBusinessBreakByBreakIds(Long[] breakIds)
    {
        return businessBreakMapper.deleteBusinessBreakByBreakIds(breakIds);
    }


    @Override
    public int deleteBusinessBreakByBreakId(Long breakId)
    {
        return businessBreakMapper.deleteBusinessBreakByBreakId(breakId);
    }
}
